<div class="auth-container">
  <img src="assets/images/logo.svg" alt="Logo" class="auth-logo">
  <form *ngIf="loginForm" class="auth-input-container" [formGroup]="loginForm">

    <mat-form-field>
      <input matInput placeholder="Username" [formControl]="username"/>
      <mat-error *ngIf="username.dirty && username.errors?.required">Username is required!</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput placeholder="Password" [type]="hide ? 'password' : 'text'" [formControl]="password"/>
      <mat-icon class="link-hover-cursor" matSuffix (click)="hide = !hide"
                color="primary">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
      <mat-error *ngIf="password.dirty && password.errors?.minlength">Password must contain atleas 6 characters!
      </mat-error>
      <mat-error *ngIf="password.dirty && password.errors?.required">Password is required!</mat-error>
    </mat-form-field>

    <button type="submit" mat-raised-button color="primary" class="uppercase" (click)="submit()">Login</button>
    <mat-error id="errors" *ngIf="error">
      {{error}}
    </mat-error>
    <button mat-stroked-button>
      <a class="router-link go-to-register" routerLink="../register" routerLinkActive="active">Not registered? Click here</a>
    </button>
  </form>
</div>
